org.apache.calcite.avatica.proto

## Interface Requests.TablesRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.TablesRequest, Requests.TablesRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.TablesRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCatalog()` `optional string catalog = 1;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `optional string catalog = 1;`
`String` `getConnectionId()` `optional string connection_id = 7;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 7;`
`boolean` `getHasTypeList()` Having an empty type_list is distinct from a null type_list
`String` `getSchemaPattern()` `optional string schema_pattern = 2;`
`com.google.protobuf.ByteString` `getSchemaPatternBytes()` `optional string schema_pattern = 2;`
`String` `getTableNamePattern()` `optional string table_name_pattern = 3;`
`com.google.protobuf.ByteString` `getTableNamePatternBytes()` `optional string table_name_pattern = 3;`
`String` `getTypeList(int index)` `repeated string type_list = 4;`
`com.google.protobuf.ByteString` `getTypeListBytes(int index)` `repeated string type_list = 4;`
`int` `getTypeListCount()` `repeated string type_list = 4;`
`List<String>` `getTypeListList()` `repeated string type_list = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getCatalog

    String getCatalog()

`optional string catalog = 1;`

#### getCatalogBytes

    com.google.protobuf.ByteString getCatalogBytes()

`optional string catalog = 1;`

#### getSchemaPattern

    String getSchemaPattern()

`optional string schema_pattern = 2;`

#### getSchemaPatternBytes

    com.google.protobuf.ByteString getSchemaPatternBytes()

`optional string schema_pattern = 2;`

#### getTableNamePattern

    String getTableNamePattern()

`optional string table_name_pattern = 3;`

#### getTableNamePatternBytes

    com.google.protobuf.ByteString getTableNamePatternBytes()

`optional string table_name_pattern = 3;`

#### getTypeListList

    List<String> getTypeListList()

`repeated string type_list = 4;`

#### getTypeListCount

    int getTypeListCount()

`repeated string type_list = 4;`

#### getTypeList

    String getTypeList(int index)

`repeated string type_list = 4;`

#### getTypeListBytes

    com.google.protobuf.ByteString getTypeListBytes(int index)

`repeated string type_list = 4;`

#### getHasTypeList

    boolean getHasTypeList()

     Having an empty type_list is distinct from a null type_list

`optional bool has_type_list = 6;`

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 7;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 7;`